SoXtMaterialSliderSet(3IV)

NAME
SoXtMaterialSliderSet — component with Motif sliders for editing SoMaterial nodes

INHERITS FROM
SoXtComponent > SoXtSliderSetBase > SoXtSliderSet > SoXtMaterialSliderSet

SYNOPSIS
#include <Inventor/Xt/SoXtMaterialSliderSet.h>

Methods from class SoXtMaterialSliderSet:

SoXtMaterialSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtMaterialSliderSet()

Methods from class SoXtSliderSetBase:

virtual void
setNode(SoNode *newNode)
SoNode *
getNode() const

Methods from class SoXtComponent:

virtual void
show()
virtual void
hide()
SbBool
isVisible()
Widget
getWidget() const
SbBool
isTopLevelShell() const
Widget
getShellWidget() const
Widget
getParentWidget() const
void
setSize(const SbVec2s &size)
SbVec2s
getSize()
Display *
getDisplay()
void
setTitle(const char *newTitle)
const char *
getTitle() const
void
setIconTitle(const char *newIconTitle)
const char *
getIconTitle() const
void
setWindowCloseCallback(SoXtComponentCB *func, void *data = NULL)
static SoXtComponent *
getComponent(Widget w)
const char *
getWidgetName() const
const char *
getClassName() const

DESCRIPTION
This class defines an editor that uses Motif Sliders to edit the fields in an SoMaterial node. There are sliders for editing the RGB values of ambientColor, diffuseColor, specularColor and emissiveColor, as well as for editing the transparency and shininess values.

METHODS

SoXtMaterialSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtMaterialSliderSet()
Constructor and destructor. At construction time the material node to edit can be supplied.

SEE ALSO
SoXtMaterialEditor, SoXtSliderSet, SoXtSliderSetBase, SoXtComponent, SoMaterial, SoNode